apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.grafana.name }}
  labels:
    {{ .Values.grafana.labels | nindent 4 }}
spec:
  replicas: {{ .Values.grafana.replicaCount }}
  selector:
    {{ .Values.grafana.selectorLabels | nindent 4 }}
  template:
    metadata:
      labels:
        {{ .Values.grafana.labels | nindent 8 }}
    spec:
      containers:
        - name: {{ .Values.grafana.name }}
          image: "{{ .Values.image.grafanaRepository }}:{{ .Values.image.tag | default .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          volumeMounts:
            - name: {{ .Values.volumes.grafana.datasource.name }}
              mountPath: {{ .Values.volumes.grafana.datasource.mountPath }}
              readOnly: true
            - name: {{ .Values.volumes.grafana.provider.name }}
              mountPath: {{ .Values.volumes.grafana.provider.mountPath }}
              readOnly: true
            - name: {{ .Values.volumes.grafana.notifier.name }}
              mountPath: {{ .Values.volumes.grafana.notifier.mountPath }}
              readOnly: true
            - name: {{ .Values.volumes.grafana.dashboard.name }}
              mountPath: {{ .Values.volumes.grafana.dashboard.mountPath }}
              readOnly: true
          ports:
            - containerPort: {{ .Values.service.grafana.port }}
              protocol: TCP
      volumes:
        - name: {{ .Values.volumes.grafana.datasource.name }}
          configMap:
            name: {{ .Values.volumes.grafana.datasource.name }}
        - name: {{ .Values.volumes.grafana.provider.name }}
          configMap:
            name: {{ .Values.volumes.grafana.provider.name }}
        - name: {{ .Values.volumes.grafana.notifier.name }}
          configMap:
            name: {{ .Values.volumes.grafana.notifier.name }}
        - name: {{ .Values.volumes.grafana.dashboard.name }}
          configMap:
            name: {{ .Values.volumes.grafana.dashboard.name }}
